body {
  font-family: Arial, sans-serif;
}

canvas {
    position: fixed;
    top: 0;
    left: 0;
}

#version_number {
  position: absolute;
  bottom: 0;
  left: 15px;
  z-index: 999;
}

#version_number p {
  color: rgb(98, 81, 255);
  font-size: 14px;
}

.close-button {
    position: relative;
    top: -35px;
    right: 35px;
    background-color: rgb(98, 81, 255);
    color: white;
    border: none;
    border-radius: 17px;
    width: 40px;
    height: 40px;
    font-size: 20px;
    cursor: pointer;
    transition: all 0.5s ease-out;
}

#close-button {
  position: absolute;
  top: -20px;
  left: 355px;
  background-color: rgb(98, 81, 255);
  color: white;
  border: none;
  border-radius: 17px;
  width: 40px;
  height: 40px;
  font-size: 20px;
  cursor: pointer;
  transition: all 0.5s ease-out;
}
  
.close-button:hover {
   background-color: rgb(56, 34, 253);
}

#close-button:hover {
  background-color: rgb(56, 34, 253);
}

#welcomingtab {
  top: 100px;
  left: 5px;
  position: relative;
  padding: 12px;
  max-width: 350px;
  height: 600px;
  z-index: 99;
  border: none;
  border-radius: 17px;
  border: 3px solid rgb(98, 81, 255);
  font-size: 15.1px;
}

#welcomingtab img {
  position: relative;
  width: 350px;
  height: 250px;
  border-radius: 17px;
}

#welcomingtab h2, h3, p{
  color: white;
}

#welcomingtab h2, h3{
  text-align: center;
}

#welcomingtab p {
  text-align: left;
}

#welcomingtab .socials {
  display: flex;
  position: absolute;
  transition: all .27s ease-out;
  width: 350px;
  justify-content: center;
  top: 87%;
  right: -15%;
}

#welcomingtab a img {
  transition: all .27s ease-out;
  filter: brightness(0) saturate(100%) invert(66%) sepia(2%) saturate(0%) hue-rotate(134deg) brightness(92%) contrast(91%);
}

#welcomingtab a:hover{
  filter: invert(38%) sepia(44%) saturate(7477%) hue-rotate(235deg) brightness(99%) contrast(105%);
  transform: scale(1.1);
}

#welcomingtab .socials a img {
  margin: 5px;
  width: 45px;
  height: 45px;
}

.planet-details {
    z-index: 9999;
    display: none;
    position: absolute;
    top: 75px;
    right: 15px;
    background: rgba(0, 0, 0, 0.8);
    color: white;
    padding: 20px;
    border-radius: 10px;
    border: 3px solid rgb(98, 81, 255);
    max-width: 300px;
    height: 650px;
}

#loading-screen {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: #000;
  color: #fff;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 999999999;
  font-family: Arial, sans-serif;
}

#loading-screen.hidden {
  display: none;
}

#loading-text {
  font-size: 24px;
}

.timendate {
  z-index: 999;
  position: absolute;
  border-radius: 20px;
  padding: 8px;
  max-width: 360px;
  left: 50%;
  top: 10px;
  transform: translate(-50%);
  border: 3px solid rgb(98, 81, 255);
  background-color: rgb(7, 1, 59);
}

#date-time {
  font-size: 22px;
}

#sun-details #sun {
  position: relative;
  width: 200px;
  height: 200px;
  border-radius: 256px;
  z-index: 99999;
}

#mercury-details #mercury {
    position: relative;
    width: 200px;
    height: 200px;
    border-radius: 256px;
    z-index: 99999;
}

#venus-details #venus {
  position: relative;
  width: 200px;
  height: 200px;
  border-radius: 256px;
  z-index: 99999;
}

#earth-details #earth {
  position: relative;
  width: 200px;
  height: 200px;
  border-radius: 256px;
  z-index: 99999;
}

#mars-details #mars {
  position: relative;
  width: 200px;
  height: 200px;
  border-radius: 256px;
  z-index: 99999;
}

#jupiter-details #jupiter {
  position: relative;
  width: 200px;
  height: 200px;
  border-radius: 256px;
  z-index: 99999;
}

#saturn-details #saturn {
  position: relative;
  width: 200px;
  height: 200px;
  border-radius: 256px;
  z-index: 99999;
}

#uranus-details #uranus {
  position: relative;
  width: 200px;
  height: 200px;
  border-radius: 256px;
  z-index: 99999;
}

#neptune-details #neptune {
  position: relative;
  width: 200px;
  height: 200px;
  border-radius: 256px;
  z-index: 99999;
}



#moon-details #moon {
  position: relative;
  width: 200px;
  height: 200px;
  border-radius: 256px;
  z-index: 99999;
}